from paida import *

analysisFactory = IAnalysisFactory.create()
treeFactory = analysisFactory.createTreeFactory()
tree = treeFactory.create()

### Creating dataPointSets.
dataPointSetFactory = analysisFactory.createDataPointSetFactory(tree)
dataPointSet = dataPointSetFactory.create('dataPointSet', '3D DataPointSet', 3)

### Filling.
import random
r = random.Random()
for i in range(20):
	dataPoint = dataPointSet.addPoint()
	dataPoint.coordinate(0).setValue(i)
	dataPoint.coordinate(0).setErrorPlus(r.random() * 3.0)
	dataPoint.coordinate(0).setErrorMinus(r.random() * 3.0)
	dataPoint.coordinate(1).setValue(i + r.gauss(1.0, 1.0))
	dataPoint.coordinate(1).setErrorPlus(r.random() * 3.0)
	dataPoint.coordinate(1).setErrorMinus(r.random() * 3.0)
	dataPoint.coordinate(2).setValue(2.0 * i)
	dataPoint.coordinate(2).setErrorPlus(r.random() * 3.0)
	dataPoint.coordinate(2).setErrorMinus(r.random() * 3.0)

### Plotting the histogram.
plotterFactory = analysisFactory.createPlotterFactory()
plotter = plotterFactory.create('PAIDA Plotter')
region = plotter.createRegion()
region.setTitle('scatter format')
region.style().setParameter('showTitle', 'true')
region.style().dataStyle().setParameter('showErrorBars', 'True')
region.style().dataStyle().setParameter('dataPointSet3DFormat', 'scatter')
region.plot(dataPointSet)

### Wait.
dummy = raw_input('Hit any key.')
